Go to the latest version of this document.

# ``twisted`.`persisted`.`dirdbm``

module documentation
(source)

A `DirDBM` is a `dbm`-style interface to a directory.

Each key is stored as a single file. This is not expected to be very fast or efficient, but it's good for easy debugging.

`DirDBM`s are *not* thread-safe, they should only be accessed by one thread at a time.

No files should be placed in the working directory of a DirDBM save those created by the DirDBM itself!

Class | `DirDBM` | A directory with a DBM interface.
Class | `Shelf` | A directory with a DBM shelf interface.
Function | `open` | This is for 'anydbm' compatibility.
Type Variable | `_T` | Undocumented

def open(file, flag=None, mode=None): (source)

This is for 'anydbm' compatibility.

Parameters
file | The parameter to pass to the DirDBM constructor.
flag | ignored
mode | ignored

_T = (source)

Undocumented

Value

    TypeVar('_T',
            bound=None)